Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
Resource
DELETE /orgs/{PROJECT-ID}/apiKeys/{API-KEY-ID}Request Path Parameters
Name | Type | Description |
|---|---|---|
| string | Unique identifier for the Project you wish to unassign from the API key. Use the /groups endpoint to retrieve all organizations to which the authenticated user has access. |
| string | Unique identifier for the API key you want to update. Request the /groups/{PROJECT-ID}/apiKeys endpoint to retrieve all API keys to which the authenticated user has access for the specified organization. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Description | Default |
|---|---|---|---|
pageNum | integer | Page number (1-index based). |
|
itemsPerPage | integer | Number of items to return per page, up to a maximum of 500. |
|
pretty | boolean | Indicates whether the response body should be in a prettyprint format. |
|
envelope | boolean | Indicates whether or not to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set For endpoints that return one result, response body includes:
For endpoints that return a list of results, the | None |
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Example Request
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request DELETE "https://<OpsManagerHost>:<Port>/api/public/v1.0/groups/{PROJECT-ID}/apiKeys/5d1d12c087d9d63e6d682438"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
This endpoint doesn't return a response body.